Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class Bulkhead1Retry0MethodSyncBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead1Retry0MethodSyncBean

@ApplicationScoped public class Bulkhead1Retry0MethodSyncBean extends Object
A method level synchronous @Bulkhead bean with Retry configured for no retries with a 1 second delay

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`Bulkhead1Retry0MethodSyncBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bulkhead1Retry0MethodSyncBean

public Bulkhead1Retry0MethodSyncBean()

## Method Details

### test

@Bulkhead(1) @Retry(retryOn=org.eclipse.microprofile.faulttolerance.exceptions.BulkheadException.class, delay=1L, delayUnit=SECONDS, maxRetries=0, maxDuration=999999L) public void test(Barrier barrier)